<?php
/**
 * @package WordPress
 * @subpackage TheFrancesWright
 */
?>

<div id="sidebar">

<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Sidebar') ) : ?>	
<div class="aside">
	<h3>Search</h3>
	<?php get_search_form(); ?>
</div>						

<div class="aside">
	<h3><span>Categories</span></h3>	
	<form action="<?php echo home_url(); ?>/" method="get">
		<?php
		$select = wp_dropdown_categories( 'show_option_none=Select category&show_count=1&orderby=name&echo=0' );
		$select = preg_replace( "#<select([^>]*)>#", "<select$1 onchange='return this.form.submit()'>", $select );
		echo $select;
		?>
		<noscript><div><input type="submit" value="View" /></div></noscript>
	</form>
</div>

<div class="aside">
	<h3>Archive</h3>
	<ul>
		<?php wp_get_archives('type=monthly'); ?>
	</ul>
</div>

<div class="aside" id="meta">
	<h3>Meta</h3>
	<ul>
		<?php wp_register(); ?>
		<li><?php wp_loginout(); ?></li>
		<li class="rss">
			<a href="<?php bloginfo('rss2_url'); ?>">Read in RSS</a>
		</li>
		<?php wp_meta(); ?>
	</ul>
</div>  
<?php endif; ?> 

</div>